(:*******************************************************:)
(:Test: fn-datamixedcontent-1                            :)
(:Written By: Nicolae Brinza                             :)
(:Purpose: Evaluates the "data" function                 :)
(:  with the argument set to a complex element with      :)
(:  a mixed content type                                 :)
(:*******************************************************:)

import schema namespace mc ="http://www.w3.org/XQueryTest/mixedcontent";

fn:data(
  validate {
    <mc:letter>
      <mc:name>Letter1</mc:name>
      <mc:orderid>1309</mc:orderid>
      <mc:shipdate>2009-01-01</mc:shipdate>  
      { text {xs:string("Letter body.")} }
    </mc:letter>
  }
)
