(:*******************************************************:)
(: Test: modules3-lib.xq                                 :)
(: Written By: Nicolae Brinza                            :)
(: Purpose: Some Module Definitions                      :)
(:*******************************************************:)

module namespace defs = "http://www.w3.org/TestModules/defs";

import schema namespace simple="http://www.w3.org/XQueryTest/simple" at "simple.xsd";


declare variable $defs:var1 as simple:myType := 1 cast as simple:myType;
declare variable $defs:var2 as schema-element(simple:integer) := <simple:integer>1</simple:integer>;


declare function defs:function1() as simple:myType
{
  1 cast as simple:myType
};

declare function defs:function2($param as simple:myType) as xs:integer
{
  $param + 1
};


declare function defs:function3() as schema-element(simple:integer)
{
  <simple:integer>2</simple:integer>
};


declare function defs:function4($param as schema-element(simple:integer)) as xs:integer
{
  $param cast as xs:integer + 1
};

